Subject: Re: [PATCH] Documentation: devicetree: Add PHY no lane swap binding

From: Lukasz Majewski <[email-masked]>
Date: Mon, 6 Feb 2017 15:15:24 +0100

Hi Florian, Andrew,

> Le 02/04/17 à 09:23, Andrew Lunn a écrit :
> > On Sat, Feb 04, 2017 at 04:47:47PM +0100, Lukasz Majewski wrote:
> >> Add the documentation to avoid PHY lane swapping. This is a boolean
> >> entry to notify the phy device drivers that the TX/RX lanes NO need
> > 
> > that the TX/RX lanes should not be swapped.
> > 
> >> to be swapped.
> >> The use case for this binding mostly happens after wrong HW
> >> configuration of PHY IC during bootstrap.
> >>
> >> Signed-off-by: Lukasz Majewski <[email-masked]>
> >> ---
> >>  Documentation/devicetree/bindings/net/phy.txt | 4 ++++
> >>  1 file changed, 4 insertions(+)
> >>
> >> diff --git a/Documentation/devicetree/bindings/net/phy.txt
> >> b/Documentation/devicetree/bindings/net/phy.txt index
> >> fb5056b..5e25bc9 100644 ---
> >> a/Documentation/devicetree/bindings/net/phy.txt +++
> >> b/Documentation/devicetree/bindings/net/phy.txt @@ -39,6 +39,10 @@
> >> Optional Properties:
> >>  - enet-phy-lane-swap: If set, indicates the PHY will swap the
> >> TX/RX lanes to compensate for the board being designed with the
> >> lanes swapped. 
> >> +- enet-phy-lane-no-swap: If set, indicates that PHY will disable
> >> swap of the
> >> +  TX/RX lanes. This binding allows the PHY to work correcly after
> >> e.g. wrong
> >> +  bootstrap configuration caused by issues in PCB layout design.
> 
> s/binding/property/
> 
> >> +
> > 
> > We are leaving it undefined what it means if neither
> > enet-phy-lane-no-swap nor enet-phy-lane-swap properties are present.
> > Do we want to define this? That the swap should be left untouched by
> > the driver?
> 
> Since this is a description of the hardware, absence of a properties
> should mean that the driver is at freedom to either keep the hardware
> defaults, or come up with its own settings that are sensible for that
> particular PHY device.
> 
> What would you see clarified here?

Any more comments to this patch?

Is the explanation informative enough?

Best regards,

Lukasz Majewski

--

DENX Software Engineering GmbH,      Managing Director: Wolfgang Denk
HRB 165235 Munich, Office: Kirchenstr.5, D-82194 Groebenzell, Germany
Phone: (+49)-8142-66989-10 Fax: (+49)-8142-66989-80 Email: [email-masked]